IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network4.48.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
- Network address
4.48.0.0- Broadcast address
4.63.255.255- First usable
4.48.0.1- Last usable
4.63.255.254- Usable hosts
- 1,048,574 (1,048,576 less the network and broadcast addresses)
- Subnet mask
255.240.0.0- Wildcard mask
0.15.255.255(Cisco ACLs, OSPF)- Prefix length
- /12
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
04300000· Integer70254592to71303167 - Reverse DNS zones
48.4.in-addr.arpa49.4.in-addr.arpa50.4.in-addr.arpa51.4.in-addr.arpa52.4.in-addr.arpa53.4.in-addr.arpa54.4.in-addr.arpa55.4.in-addr.arpa56.4.in-addr.arpa57.4.in-addr.arpa58.4.in-addr.arpa59.4.in-addr.arpa60.4.in-addr.arpa61.4.in-addr.arpa62.4.in-addr.arpa63.4.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000100.00110000.00000000.00000000 | 4.48.0.0 |
| Subnet mask | 11111111.11110000.00000000.00000000 | 255.240.0.0 |
| Network | 00000100.00110000.00000000.00000000 | 4.48.0.0 |
| Broadcast | 00000100.00111111.11111111.11111111 | 4.63.255.255 |
Split into smaller subnets
/13 (2)/14 (4)/15 (8)/16 (16)/17 (32)/18 (64)/19 (128)/20 (256)/21 (512)/22 (1,024)/23 (2,048)/24 (4,096)
4.48.0.0/12 makes 1,024 subnets of /22; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 4.48.0.0/22 | 4.48.0.1 to 4.48.3.254 | 4.48.3.255 | 1,022 |
| 2 | 4.48.4.0/22 | 4.48.4.1 to 4.48.7.254 | 4.48.7.255 | 1,022 |
| 3 | 4.48.8.0/22 | 4.48.8.1 to 4.48.11.254 | 4.48.11.255 | 1,022 |
| 4 | 4.48.12.0/22 | 4.48.12.1 to 4.48.15.254 | 4.48.15.255 | 1,022 |
| 5 | 4.48.16.0/22 | 4.48.16.1 to 4.48.19.254 | 4.48.19.255 | 1,022 |
| 6 | 4.48.20.0/22 | 4.48.20.1 to 4.48.23.254 | 4.48.23.255 | 1,022 |
| 7 | 4.48.24.0/22 | 4.48.24.1 to 4.48.27.254 | 4.48.27.255 | 1,022 |
| 8 | 4.48.28.0/22 | 4.48.28.1 to 4.48.31.254 | 4.48.31.255 | 1,022 |
| 9 | 4.48.32.0/22 | 4.48.32.1 to 4.48.35.254 | 4.48.35.255 | 1,022 |
| 10 | 4.48.36.0/22 | 4.48.36.1 to 4.48.39.254 | 4.48.39.255 | 1,022 |
| 11 | 4.48.40.0/22 | 4.48.40.1 to 4.48.43.254 | 4.48.43.255 | 1,022 |
| 12 | 4.48.44.0/22 | 4.48.44.1 to 4.48.47.254 | 4.48.47.255 | 1,022 |
| 13 | 4.48.48.0/22 | 4.48.48.1 to 4.48.51.254 | 4.48.51.255 | 1,022 |
| 14 | 4.48.52.0/22 | 4.48.52.1 to 4.48.55.254 | 4.48.55.255 | 1,022 |
| 15 | 4.48.56.0/22 | 4.48.56.1 to 4.48.59.254 | 4.48.59.255 | 1,022 |
| 16 | 4.48.60.0/22 | 4.48.60.1 to 4.48.63.254 | 4.48.63.255 | 1,022 |
| 17 | 4.48.64.0/22 | 4.48.64.1 to 4.48.67.254 | 4.48.67.255 | 1,022 |
| 18 | 4.48.68.0/22 | 4.48.68.1 to 4.48.71.254 | 4.48.71.255 | 1,022 |
| 19 | 4.48.72.0/22 | 4.48.72.1 to 4.48.75.254 | 4.48.75.255 | 1,022 |
| 20 | 4.48.76.0/22 | 4.48.76.1 to 4.48.79.254 | 4.48.79.255 | 1,022 |
| 21 | 4.48.80.0/22 | 4.48.80.1 to 4.48.83.254 | 4.48.83.255 | 1,022 |
| 22 | 4.48.84.0/22 | 4.48.84.1 to 4.48.87.254 | 4.48.87.255 | 1,022 |
| 23 | 4.48.88.0/22 | 4.48.88.1 to 4.48.91.254 | 4.48.91.255 | 1,022 |
| 24 | 4.48.92.0/22 | 4.48.92.1 to 4.48.95.254 | 4.48.95.255 | 1,022 |
| 25 | 4.48.96.0/22 | 4.48.96.1 to 4.48.99.254 | 4.48.99.255 | 1,022 |
| 26 | 4.48.100.0/22 | 4.48.100.1 to 4.48.103.254 | 4.48.103.255 | 1,022 |
| 27 | 4.48.104.0/22 | 4.48.104.1 to 4.48.107.254 | 4.48.107.255 | 1,022 |
| 28 | 4.48.108.0/22 | 4.48.108.1 to 4.48.111.254 | 4.48.111.255 | 1,022 |
| 29 | 4.48.112.0/22 | 4.48.112.1 to 4.48.115.254 | 4.48.115.255 | 1,022 |
| 30 | 4.48.116.0/22 | 4.48.116.1 to 4.48.119.254 | 4.48.119.255 | 1,022 |
| 31 | 4.48.120.0/22 | 4.48.120.1 to 4.48.123.254 | 4.48.123.255 | 1,022 |
| 32 | 4.48.124.0/22 | 4.48.124.1 to 4.48.127.254 | 4.48.127.255 | 1,022 |
| 33 | 4.48.128.0/22 | 4.48.128.1 to 4.48.131.254 | 4.48.131.255 | 1,022 |
| 34 | 4.48.132.0/22 | 4.48.132.1 to 4.48.135.254 | 4.48.135.255 | 1,022 |
| 35 | 4.48.136.0/22 | 4.48.136.1 to 4.48.139.254 | 4.48.139.255 | 1,022 |
| 36 | 4.48.140.0/22 | 4.48.140.1 to 4.48.143.254 | 4.48.143.255 | 1,022 |
| 37 | 4.48.144.0/22 | 4.48.144.1 to 4.48.147.254 | 4.48.147.255 | 1,022 |
| 38 | 4.48.148.0/22 | 4.48.148.1 to 4.48.151.254 | 4.48.151.255 | 1,022 |
| 39 | 4.48.152.0/22 | 4.48.152.1 to 4.48.155.254 | 4.48.155.255 | 1,022 |
| 40 | 4.48.156.0/22 | 4.48.156.1 to 4.48.159.254 | 4.48.159.255 | 1,022 |
| 41 | 4.48.160.0/22 | 4.48.160.1 to 4.48.163.254 | 4.48.163.255 | 1,022 |
| 42 | 4.48.164.0/22 | 4.48.164.1 to 4.48.167.254 | 4.48.167.255 | 1,022 |
| 43 | 4.48.168.0/22 | 4.48.168.1 to 4.48.171.254 | 4.48.171.255 | 1,022 |
| 44 | 4.48.172.0/22 | 4.48.172.1 to 4.48.175.254 | 4.48.175.255 | 1,022 |
| 45 | 4.48.176.0/22 | 4.48.176.1 to 4.48.179.254 | 4.48.179.255 | 1,022 |
| 46 | 4.48.180.0/22 | 4.48.180.1 to 4.48.183.254 | 4.48.183.255 | 1,022 |
| 47 | 4.48.184.0/22 | 4.48.184.1 to 4.48.187.254 | 4.48.187.255 | 1,022 |
| 48 | 4.48.188.0/22 | 4.48.188.1 to 4.48.191.254 | 4.48.191.255 | 1,022 |
| 49 | 4.48.192.0/22 | 4.48.192.1 to 4.48.195.254 | 4.48.195.255 | 1,022 |
| 50 | 4.48.196.0/22 | 4.48.196.1 to 4.48.199.254 | 4.48.199.255 | 1,022 |
| 51 | 4.48.200.0/22 | 4.48.200.1 to 4.48.203.254 | 4.48.203.255 | 1,022 |
| 52 | 4.48.204.0/22 | 4.48.204.1 to 4.48.207.254 | 4.48.207.255 | 1,022 |
| 53 | 4.48.208.0/22 | 4.48.208.1 to 4.48.211.254 | 4.48.211.255 | 1,022 |
| 54 | 4.48.212.0/22 | 4.48.212.1 to 4.48.215.254 | 4.48.215.255 | 1,022 |
| 55 | 4.48.216.0/22 | 4.48.216.1 to 4.48.219.254 | 4.48.219.255 | 1,022 |
| 56 | 4.48.220.0/22 | 4.48.220.1 to 4.48.223.254 | 4.48.223.255 | 1,022 |
| 57 | 4.48.224.0/22 | 4.48.224.1 to 4.48.227.254 | 4.48.227.255 | 1,022 |
| 58 | 4.48.228.0/22 | 4.48.228.1 to 4.48.231.254 | 4.48.231.255 | 1,022 |
| 59 | 4.48.232.0/22 | 4.48.232.1 to 4.48.235.254 | 4.48.235.255 | 1,022 |
| 60 | 4.48.236.0/22 | 4.48.236.1 to 4.48.239.254 | 4.48.239.255 | 1,022 |
| 61 | 4.48.240.0/22 | 4.48.240.1 to 4.48.243.254 | 4.48.243.255 | 1,022 |
| 62 | 4.48.244.0/22 | 4.48.244.1 to 4.48.247.254 | 4.48.247.255 | 1,022 |
| 63 | 4.48.248.0/22 | 4.48.248.1 to 4.48.251.254 | 4.48.251.255 | 1,022 |
| 64 | 4.48.252.0/22 | 4.48.252.1 to 4.48.255.254 | 4.48.255.255 | 1,022 |
| 65 | 4.49.0.0/22 | 4.49.0.1 to 4.49.3.254 | 4.49.3.255 | 1,022 |
| 66 | 4.49.4.0/22 | 4.49.4.1 to 4.49.7.254 | 4.49.7.255 | 1,022 |
| 67 | 4.49.8.0/22 | 4.49.8.1 to 4.49.11.254 | 4.49.11.255 | 1,022 |
| 68 | 4.49.12.0/22 | 4.49.12.1 to 4.49.15.254 | 4.49.15.255 | 1,022 |
| 69 | 4.49.16.0/22 | 4.49.16.1 to 4.49.19.254 | 4.49.19.255 | 1,022 |
| 70 | 4.49.20.0/22 | 4.49.20.1 to 4.49.23.254 | 4.49.23.255 | 1,022 |
| 71 | 4.49.24.0/22 | 4.49.24.1 to 4.49.27.254 | 4.49.27.255 | 1,022 |
| 72 | 4.49.28.0/22 | 4.49.28.1 to 4.49.31.254 | 4.49.31.255 | 1,022 |
| 73 | 4.49.32.0/22 | 4.49.32.1 to 4.49.35.254 | 4.49.35.255 | 1,022 |
| 74 | 4.49.36.0/22 | 4.49.36.1 to 4.49.39.254 | 4.49.39.255 | 1,022 |
| 75 | 4.49.40.0/22 | 4.49.40.1 to 4.49.43.254 | 4.49.43.255 | 1,022 |
| 76 | 4.49.44.0/22 | 4.49.44.1 to 4.49.47.254 | 4.49.47.255 | 1,022 |
| 77 | 4.49.48.0/22 | 4.49.48.1 to 4.49.51.254 | 4.49.51.255 | 1,022 |
| 78 | 4.49.52.0/22 | 4.49.52.1 to 4.49.55.254 | 4.49.55.255 | 1,022 |
| 79 | 4.49.56.0/22 | 4.49.56.1 to 4.49.59.254 | 4.49.59.255 | 1,022 |
| 80 | 4.49.60.0/22 | 4.49.60.1 to 4.49.63.254 | 4.49.63.255 | 1,022 |
| 81 | 4.49.64.0/22 | 4.49.64.1 to 4.49.67.254 | 4.49.67.255 | 1,022 |
| 82 | 4.49.68.0/22 | 4.49.68.1 to 4.49.71.254 | 4.49.71.255 | 1,022 |
| 83 | 4.49.72.0/22 | 4.49.72.1 to 4.49.75.254 | 4.49.75.255 | 1,022 |
| 84 | 4.49.76.0/22 | 4.49.76.1 to 4.49.79.254 | 4.49.79.255 | 1,022 |
| 85 | 4.49.80.0/22 | 4.49.80.1 to 4.49.83.254 | 4.49.83.255 | 1,022 |
| 86 | 4.49.84.0/22 | 4.49.84.1 to 4.49.87.254 | 4.49.87.255 | 1,022 |
| 87 | 4.49.88.0/22 | 4.49.88.1 to 4.49.91.254 | 4.49.91.255 | 1,022 |
| 88 | 4.49.92.0/22 | 4.49.92.1 to 4.49.95.254 | 4.49.95.255 | 1,022 |
| 89 | 4.49.96.0/22 | 4.49.96.1 to 4.49.99.254 | 4.49.99.255 | 1,022 |
| 90 | 4.49.100.0/22 | 4.49.100.1 to 4.49.103.254 | 4.49.103.255 | 1,022 |
| 91 | 4.49.104.0/22 | 4.49.104.1 to 4.49.107.254 | 4.49.107.255 | 1,022 |
| 92 | 4.49.108.0/22 | 4.49.108.1 to 4.49.111.254 | 4.49.111.255 | 1,022 |
| 93 | 4.49.112.0/22 | 4.49.112.1 to 4.49.115.254 | 4.49.115.255 | 1,022 |
| 94 | 4.49.116.0/22 | 4.49.116.1 to 4.49.119.254 | 4.49.119.255 | 1,022 |
| 95 | 4.49.120.0/22 | 4.49.120.1 to 4.49.123.254 | 4.49.123.255 | 1,022 |
| 96 | 4.49.124.0/22 | 4.49.124.1 to 4.49.127.254 | 4.49.127.255 | 1,022 |
| 97 | 4.49.128.0/22 | 4.49.128.1 to 4.49.131.254 | 4.49.131.255 | 1,022 |
| 98 | 4.49.132.0/22 | 4.49.132.1 to 4.49.135.254 | 4.49.135.255 | 1,022 |
| 99 | 4.49.136.0/22 | 4.49.136.1 to 4.49.139.254 | 4.49.139.255 | 1,022 |
| 100 | 4.49.140.0/22 | 4.49.140.1 to 4.49.143.254 | 4.49.143.255 | 1,022 |
| 101 | 4.49.144.0/22 | 4.49.144.1 to 4.49.147.254 | 4.49.147.255 | 1,022 |
| 102 | 4.49.148.0/22 | 4.49.148.1 to 4.49.151.254 | 4.49.151.255 | 1,022 |
| 103 | 4.49.152.0/22 | 4.49.152.1 to 4.49.155.254 | 4.49.155.255 | 1,022 |
| 104 | 4.49.156.0/22 | 4.49.156.1 to 4.49.159.254 | 4.49.159.255 | 1,022 |
| 105 | 4.49.160.0/22 | 4.49.160.1 to 4.49.163.254 | 4.49.163.255 | 1,022 |
| 106 | 4.49.164.0/22 | 4.49.164.1 to 4.49.167.254 | 4.49.167.255 | 1,022 |
| 107 | 4.49.168.0/22 | 4.49.168.1 to 4.49.171.254 | 4.49.171.255 | 1,022 |
| 108 | 4.49.172.0/22 | 4.49.172.1 to 4.49.175.254 | 4.49.175.255 | 1,022 |
| 109 | 4.49.176.0/22 | 4.49.176.1 to 4.49.179.254 | 4.49.179.255 | 1,022 |
| 110 | 4.49.180.0/22 | 4.49.180.1 to 4.49.183.254 | 4.49.183.255 | 1,022 |
| 111 | 4.49.184.0/22 | 4.49.184.1 to 4.49.187.254 | 4.49.187.255 | 1,022 |
| 112 | 4.49.188.0/22 | 4.49.188.1 to 4.49.191.254 | 4.49.191.255 | 1,022 |
| 113 | 4.49.192.0/22 | 4.49.192.1 to 4.49.195.254 | 4.49.195.255 | 1,022 |
| 114 | 4.49.196.0/22 | 4.49.196.1 to 4.49.199.254 | 4.49.199.255 | 1,022 |
| 115 | 4.49.200.0/22 | 4.49.200.1 to 4.49.203.254 | 4.49.203.255 | 1,022 |
| 116 | 4.49.204.0/22 | 4.49.204.1 to 4.49.207.254 | 4.49.207.255 | 1,022 |
| 117 | 4.49.208.0/22 | 4.49.208.1 to 4.49.211.254 | 4.49.211.255 | 1,022 |
| 118 | 4.49.212.0/22 | 4.49.212.1 to 4.49.215.254 | 4.49.215.255 | 1,022 |
| 119 | 4.49.216.0/22 | 4.49.216.1 to 4.49.219.254 | 4.49.219.255 | 1,022 |
| 120 | 4.49.220.0/22 | 4.49.220.1 to 4.49.223.254 | 4.49.223.255 | 1,022 |
| 121 | 4.49.224.0/22 | 4.49.224.1 to 4.49.227.254 | 4.49.227.255 | 1,022 |
| 122 | 4.49.228.0/22 | 4.49.228.1 to 4.49.231.254 | 4.49.231.255 | 1,022 |
| 123 | 4.49.232.0/22 | 4.49.232.1 to 4.49.235.254 | 4.49.235.255 | 1,022 |
| 124 | 4.49.236.0/22 | 4.49.236.1 to 4.49.239.254 | 4.49.239.255 | 1,022 |
| 125 | 4.49.240.0/22 | 4.49.240.1 to 4.49.243.254 | 4.49.243.255 | 1,022 |
| 126 | 4.49.244.0/22 | 4.49.244.1 to 4.49.247.254 | 4.49.247.255 | 1,022 |
| 127 | 4.49.248.0/22 | 4.49.248.1 to 4.49.251.254 | 4.49.251.255 | 1,022 |
| 128 | 4.49.252.0/22 | 4.49.252.1 to 4.49.255.254 | 4.49.255.255 | 1,022 |
| 129 | 4.50.0.0/22 | 4.50.0.1 to 4.50.3.254 | 4.50.3.255 | 1,022 |
| 130 | 4.50.4.0/22 | 4.50.4.1 to 4.50.7.254 | 4.50.7.255 | 1,022 |
| 131 | 4.50.8.0/22 | 4.50.8.1 to 4.50.11.254 | 4.50.11.255 | 1,022 |
| 132 | 4.50.12.0/22 | 4.50.12.1 to 4.50.15.254 | 4.50.15.255 | 1,022 |
| 133 | 4.50.16.0/22 | 4.50.16.1 to 4.50.19.254 | 4.50.19.255 | 1,022 |
| 134 | 4.50.20.0/22 | 4.50.20.1 to 4.50.23.254 | 4.50.23.255 | 1,022 |
| 135 | 4.50.24.0/22 | 4.50.24.1 to 4.50.27.254 | 4.50.27.255 | 1,022 |
| 136 | 4.50.28.0/22 | 4.50.28.1 to 4.50.31.254 | 4.50.31.255 | 1,022 |
| 137 | 4.50.32.0/22 | 4.50.32.1 to 4.50.35.254 | 4.50.35.255 | 1,022 |
| 138 | 4.50.36.0/22 | 4.50.36.1 to 4.50.39.254 | 4.50.39.255 | 1,022 |
| 139 | 4.50.40.0/22 | 4.50.40.1 to 4.50.43.254 | 4.50.43.255 | 1,022 |
| 140 | 4.50.44.0/22 | 4.50.44.1 to 4.50.47.254 | 4.50.47.255 | 1,022 |
| 141 | 4.50.48.0/22 | 4.50.48.1 to 4.50.51.254 | 4.50.51.255 | 1,022 |
| 142 | 4.50.52.0/22 | 4.50.52.1 to 4.50.55.254 | 4.50.55.255 | 1,022 |
| 143 | 4.50.56.0/22 | 4.50.56.1 to 4.50.59.254 | 4.50.59.255 | 1,022 |
| 144 | 4.50.60.0/22 | 4.50.60.1 to 4.50.63.254 | 4.50.63.255 | 1,022 |
| 145 | 4.50.64.0/22 | 4.50.64.1 to 4.50.67.254 | 4.50.67.255 | 1,022 |
| 146 | 4.50.68.0/22 | 4.50.68.1 to 4.50.71.254 | 4.50.71.255 | 1,022 |
| 147 | 4.50.72.0/22 | 4.50.72.1 to 4.50.75.254 | 4.50.75.255 | 1,022 |
| 148 | 4.50.76.0/22 | 4.50.76.1 to 4.50.79.254 | 4.50.79.255 | 1,022 |
| 149 | 4.50.80.0/22 | 4.50.80.1 to 4.50.83.254 | 4.50.83.255 | 1,022 |
| 150 | 4.50.84.0/22 | 4.50.84.1 to 4.50.87.254 | 4.50.87.255 | 1,022 |
| 151 | 4.50.88.0/22 | 4.50.88.1 to 4.50.91.254 | 4.50.91.255 | 1,022 |
| 152 | 4.50.92.0/22 | 4.50.92.1 to 4.50.95.254 | 4.50.95.255 | 1,022 |
| 153 | 4.50.96.0/22 | 4.50.96.1 to 4.50.99.254 | 4.50.99.255 | 1,022 |
| 154 | 4.50.100.0/22 | 4.50.100.1 to 4.50.103.254 | 4.50.103.255 | 1,022 |
| 155 | 4.50.104.0/22 | 4.50.104.1 to 4.50.107.254 | 4.50.107.255 | 1,022 |
| 156 | 4.50.108.0/22 | 4.50.108.1 to 4.50.111.254 | 4.50.111.255 | 1,022 |
| 157 | 4.50.112.0/22 | 4.50.112.1 to 4.50.115.254 | 4.50.115.255 | 1,022 |
| 158 | 4.50.116.0/22 | 4.50.116.1 to 4.50.119.254 | 4.50.119.255 | 1,022 |
| 159 | 4.50.120.0/22 | 4.50.120.1 to 4.50.123.254 | 4.50.123.255 | 1,022 |
| 160 | 4.50.124.0/22 | 4.50.124.1 to 4.50.127.254 | 4.50.127.255 | 1,022 |
| 161 | 4.50.128.0/22 | 4.50.128.1 to 4.50.131.254 | 4.50.131.255 | 1,022 |
| 162 | 4.50.132.0/22 | 4.50.132.1 to 4.50.135.254 | 4.50.135.255 | 1,022 |
| 163 | 4.50.136.0/22 | 4.50.136.1 to 4.50.139.254 | 4.50.139.255 | 1,022 |
| 164 | 4.50.140.0/22 | 4.50.140.1 to 4.50.143.254 | 4.50.143.255 | 1,022 |
| 165 | 4.50.144.0/22 | 4.50.144.1 to 4.50.147.254 | 4.50.147.255 | 1,022 |
| 166 | 4.50.148.0/22 | 4.50.148.1 to 4.50.151.254 | 4.50.151.255 | 1,022 |
| 167 | 4.50.152.0/22 | 4.50.152.1 to 4.50.155.254 | 4.50.155.255 | 1,022 |
| 168 | 4.50.156.0/22 | 4.50.156.1 to 4.50.159.254 | 4.50.159.255 | 1,022 |
| 169 | 4.50.160.0/22 | 4.50.160.1 to 4.50.163.254 | 4.50.163.255 | 1,022 |
| 170 | 4.50.164.0/22 | 4.50.164.1 to 4.50.167.254 | 4.50.167.255 | 1,022 |
| 171 | 4.50.168.0/22 | 4.50.168.1 to 4.50.171.254 | 4.50.171.255 | 1,022 |
| 172 | 4.50.172.0/22 | 4.50.172.1 to 4.50.175.254 | 4.50.175.255 | 1,022 |
| 173 | 4.50.176.0/22 | 4.50.176.1 to 4.50.179.254 | 4.50.179.255 | 1,022 |
| 174 | 4.50.180.0/22 | 4.50.180.1 to 4.50.183.254 | 4.50.183.255 | 1,022 |
| 175 | 4.50.184.0/22 | 4.50.184.1 to 4.50.187.254 | 4.50.187.255 | 1,022 |
| 176 | 4.50.188.0/22 | 4.50.188.1 to 4.50.191.254 | 4.50.191.255 | 1,022 |
| 177 | 4.50.192.0/22 | 4.50.192.1 to 4.50.195.254 | 4.50.195.255 | 1,022 |
| 178 | 4.50.196.0/22 | 4.50.196.1 to 4.50.199.254 | 4.50.199.255 | 1,022 |
| 179 | 4.50.200.0/22 | 4.50.200.1 to 4.50.203.254 | 4.50.203.255 | 1,022 |
| 180 | 4.50.204.0/22 | 4.50.204.1 to 4.50.207.254 | 4.50.207.255 | 1,022 |
| 181 | 4.50.208.0/22 | 4.50.208.1 to 4.50.211.254 | 4.50.211.255 | 1,022 |
| 182 | 4.50.212.0/22 | 4.50.212.1 to 4.50.215.254 | 4.50.215.255 | 1,022 |
| 183 | 4.50.216.0/22 | 4.50.216.1 to 4.50.219.254 | 4.50.219.255 | 1,022 |
| 184 | 4.50.220.0/22 | 4.50.220.1 to 4.50.223.254 | 4.50.223.255 | 1,022 |
| 185 | 4.50.224.0/22 | 4.50.224.1 to 4.50.227.254 | 4.50.227.255 | 1,022 |
| 186 | 4.50.228.0/22 | 4.50.228.1 to 4.50.231.254 | 4.50.231.255 | 1,022 |
| 187 | 4.50.232.0/22 | 4.50.232.1 to 4.50.235.254 | 4.50.235.255 | 1,022 |
| 188 | 4.50.236.0/22 | 4.50.236.1 to 4.50.239.254 | 4.50.239.255 | 1,022 |
| 189 | 4.50.240.0/22 | 4.50.240.1 to 4.50.243.254 | 4.50.243.255 | 1,022 |
| 190 | 4.50.244.0/22 | 4.50.244.1 to 4.50.247.254 | 4.50.247.255 | 1,022 |
| 191 | 4.50.248.0/22 | 4.50.248.1 to 4.50.251.254 | 4.50.251.255 | 1,022 |
| 192 | 4.50.252.0/22 | 4.50.252.1 to 4.50.255.254 | 4.50.255.255 | 1,022 |
| 193 | 4.51.0.0/22 | 4.51.0.1 to 4.51.3.254 | 4.51.3.255 | 1,022 |
| 194 | 4.51.4.0/22 | 4.51.4.1 to 4.51.7.254 | 4.51.7.255 | 1,022 |
| 195 | 4.51.8.0/22 | 4.51.8.1 to 4.51.11.254 | 4.51.11.255 | 1,022 |
| 196 | 4.51.12.0/22 | 4.51.12.1 to 4.51.15.254 | 4.51.15.255 | 1,022 |
| 197 | 4.51.16.0/22 | 4.51.16.1 to 4.51.19.254 | 4.51.19.255 | 1,022 |
| 198 | 4.51.20.0/22 | 4.51.20.1 to 4.51.23.254 | 4.51.23.255 | 1,022 |
| 199 | 4.51.24.0/22 | 4.51.24.1 to 4.51.27.254 | 4.51.27.255 | 1,022 |
| 200 | 4.51.28.0/22 | 4.51.28.1 to 4.51.31.254 | 4.51.31.255 | 1,022 |
| 201 | 4.51.32.0/22 | 4.51.32.1 to 4.51.35.254 | 4.51.35.255 | 1,022 |
| 202 | 4.51.36.0/22 | 4.51.36.1 to 4.51.39.254 | 4.51.39.255 | 1,022 |
| 203 | 4.51.40.0/22 | 4.51.40.1 to 4.51.43.254 | 4.51.43.255 | 1,022 |
| 204 | 4.51.44.0/22 | 4.51.44.1 to 4.51.47.254 | 4.51.47.255 | 1,022 |
| 205 | 4.51.48.0/22 | 4.51.48.1 to 4.51.51.254 | 4.51.51.255 | 1,022 |
| 206 | 4.51.52.0/22 | 4.51.52.1 to 4.51.55.254 | 4.51.55.255 | 1,022 |
| 207 | 4.51.56.0/22 | 4.51.56.1 to 4.51.59.254 | 4.51.59.255 | 1,022 |
| 208 | 4.51.60.0/22 | 4.51.60.1 to 4.51.63.254 | 4.51.63.255 | 1,022 |
| 209 | 4.51.64.0/22 | 4.51.64.1 to 4.51.67.254 | 4.51.67.255 | 1,022 |
| 210 | 4.51.68.0/22 | 4.51.68.1 to 4.51.71.254 | 4.51.71.255 | 1,022 |
| 211 | 4.51.72.0/22 | 4.51.72.1 to 4.51.75.254 | 4.51.75.255 | 1,022 |
| 212 | 4.51.76.0/22 | 4.51.76.1 to 4.51.79.254 | 4.51.79.255 | 1,022 |
| 213 | 4.51.80.0/22 | 4.51.80.1 to 4.51.83.254 | 4.51.83.255 | 1,022 |
| 214 | 4.51.84.0/22 | 4.51.84.1 to 4.51.87.254 | 4.51.87.255 | 1,022 |
| 215 | 4.51.88.0/22 | 4.51.88.1 to 4.51.91.254 | 4.51.91.255 | 1,022 |
| 216 | 4.51.92.0/22 | 4.51.92.1 to 4.51.95.254 | 4.51.95.255 | 1,022 |
| 217 | 4.51.96.0/22 | 4.51.96.1 to 4.51.99.254 | 4.51.99.255 | 1,022 |
| 218 | 4.51.100.0/22 | 4.51.100.1 to 4.51.103.254 | 4.51.103.255 | 1,022 |
| 219 | 4.51.104.0/22 | 4.51.104.1 to 4.51.107.254 | 4.51.107.255 | 1,022 |
| 220 | 4.51.108.0/22 | 4.51.108.1 to 4.51.111.254 | 4.51.111.255 | 1,022 |
| 221 | 4.51.112.0/22 | 4.51.112.1 to 4.51.115.254 | 4.51.115.255 | 1,022 |
| 222 | 4.51.116.0/22 | 4.51.116.1 to 4.51.119.254 | 4.51.119.255 | 1,022 |
| 223 | 4.51.120.0/22 | 4.51.120.1 to 4.51.123.254 | 4.51.123.255 | 1,022 |
| 224 | 4.51.124.0/22 | 4.51.124.1 to 4.51.127.254 | 4.51.127.255 | 1,022 |
| 225 | 4.51.128.0/22 | 4.51.128.1 to 4.51.131.254 | 4.51.131.255 | 1,022 |
| 226 | 4.51.132.0/22 | 4.51.132.1 to 4.51.135.254 | 4.51.135.255 | 1,022 |
| 227 | 4.51.136.0/22 | 4.51.136.1 to 4.51.139.254 | 4.51.139.255 | 1,022 |
| 228 | 4.51.140.0/22 | 4.51.140.1 to 4.51.143.254 | 4.51.143.255 | 1,022 |
| 229 | 4.51.144.0/22 | 4.51.144.1 to 4.51.147.254 | 4.51.147.255 | 1,022 |
| 230 | 4.51.148.0/22 | 4.51.148.1 to 4.51.151.254 | 4.51.151.255 | 1,022 |
| 231 | 4.51.152.0/22 | 4.51.152.1 to 4.51.155.254 | 4.51.155.255 | 1,022 |
| 232 | 4.51.156.0/22 | 4.51.156.1 to 4.51.159.254 | 4.51.159.255 | 1,022 |
| 233 | 4.51.160.0/22 | 4.51.160.1 to 4.51.163.254 | 4.51.163.255 | 1,022 |
| 234 | 4.51.164.0/22 | 4.51.164.1 to 4.51.167.254 | 4.51.167.255 | 1,022 |
| 235 | 4.51.168.0/22 | 4.51.168.1 to 4.51.171.254 | 4.51.171.255 | 1,022 |
| 236 | 4.51.172.0/22 | 4.51.172.1 to 4.51.175.254 | 4.51.175.255 | 1,022 |
| 237 | 4.51.176.0/22 | 4.51.176.1 to 4.51.179.254 | 4.51.179.255 | 1,022 |
| 238 | 4.51.180.0/22 | 4.51.180.1 to 4.51.183.254 | 4.51.183.255 | 1,022 |
| 239 | 4.51.184.0/22 | 4.51.184.1 to 4.51.187.254 | 4.51.187.255 | 1,022 |
| 240 | 4.51.188.0/22 | 4.51.188.1 to 4.51.191.254 | 4.51.191.255 | 1,022 |
| 241 | 4.51.192.0/22 | 4.51.192.1 to 4.51.195.254 | 4.51.195.255 | 1,022 |
| 242 | 4.51.196.0/22 | 4.51.196.1 to 4.51.199.254 | 4.51.199.255 | 1,022 |
| 243 | 4.51.200.0/22 | 4.51.200.1 to 4.51.203.254 | 4.51.203.255 | 1,022 |
| 244 | 4.51.204.0/22 | 4.51.204.1 to 4.51.207.254 | 4.51.207.255 | 1,022 |
| 245 | 4.51.208.0/22 | 4.51.208.1 to 4.51.211.254 | 4.51.211.255 | 1,022 |
| 246 | 4.51.212.0/22 | 4.51.212.1 to 4.51.215.254 | 4.51.215.255 | 1,022 |
| 247 | 4.51.216.0/22 | 4.51.216.1 to 4.51.219.254 | 4.51.219.255 | 1,022 |
| 248 | 4.51.220.0/22 | 4.51.220.1 to 4.51.223.254 | 4.51.223.255 | 1,022 |
| 249 | 4.51.224.0/22 | 4.51.224.1 to 4.51.227.254 | 4.51.227.255 | 1,022 |
| 250 | 4.51.228.0/22 | 4.51.228.1 to 4.51.231.254 | 4.51.231.255 | 1,022 |
| 251 | 4.51.232.0/22 | 4.51.232.1 to 4.51.235.254 | 4.51.235.255 | 1,022 |
| 252 | 4.51.236.0/22 | 4.51.236.1 to 4.51.239.254 | 4.51.239.255 | 1,022 |
| 253 | 4.51.240.0/22 | 4.51.240.1 to 4.51.243.254 | 4.51.243.255 | 1,022 |
| 254 | 4.51.244.0/22 | 4.51.244.1 to 4.51.247.254 | 4.51.247.255 | 1,022 |
| 255 | 4.51.248.0/22 | 4.51.248.1 to 4.51.251.254 | 4.51.251.255 | 1,022 |
| 256 | 4.51.252.0/22 | 4.51.252.1 to 4.51.255.254 | 4.51.255.255 | 1,022 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |